%define upstream_name    Filter
%define upstream_version 1.60

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Source filter modules for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{name}-1.31.shellbang.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Source filter modules for Perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
# clean up AFTER compilation
find examples -type f -name \*.bak | xargs rm -f
find examples -type f | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/*/*
%{perl_vendorarch}/*

%changelog
* Mon Aug 10 2020 tv <tv> 1.600.0-1.mga8
+ Revision: 1612576
- update to 1.60

* Wed Jun 17 2020 umeabot <umeabot> 1.590.0-5.mga8
+ Revision: 1594795
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.590.0-4.mga8
+ Revision: 1529465
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.590.0-3.mga8
+ Revision: 1433614
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.590.0-2.mga7
+ Revision: 1292883
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.590.0-1.mga7
+ Revision: 1253941
- update to 1.59

* Wed Aug 08 2018 pterjan <pterjan> 1.580.0-2.mga7
+ Revision: 1249125
- Rebuild for perl 5.28

* Sun Dec 10 2017 shlomif <shlomif> 1.580.0-1.mga7
+ Revision: 1182012
- update to 1.58

* Mon Oct 02 2017 tv <tv> 1.570.0-3.mga7
+ Revision: 1164392
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.570.0-2.mga7
+ Revision: 1148902
- Rebuild for perl ABI changes

* Sun Jul 30 2017 sander85 <sander85> 1.570.0-1.mga7
+ Revision: 1132685
- update to 1.57

* Sat Jul 22 2017 neoclust <neoclust> 1.550.0-4.mga7
+ Revision: 1127349
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.550.0-3.mga6
+ Revision: 1027627
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.550.0-2.mga6
+ Revision: 957330
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 1.550.0-1.mga6
+ Revision: 858155
- update to 1.55

* Thu Jun 25 2015 sander85 <sander85> 1.540.0-1.mga6
+ Revision: 843534
- update to 1.54

* Wed Oct 15 2014 umeabot <umeabot> 1.490.0-7.mga5
+ Revision: 743087
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.490.0-6.mga5
+ Revision: 732176
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.490.0-5.mga5
+ Revision: 684794
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.490.0-4.mga5
+ Revision: 631205
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1.490.0-3.mga5
+ Revision: 587947
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1.490.0-2.mga4
+ Revision: 526256
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1.490.0-1.mga4
+ Revision: 436407
- update to 1.49

* Wed May 29 2013 jquelin <jquelin> 1.450.0-7.mga4
+ Revision: 430697
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.450.0-6.mga3
+ Revision: 405495
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.450.0-5.mga3
+ Revision: 367492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.450.0-4.mga3
+ Revision: 315516
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.450.0-3.mga3
+ Revision: 284586
- perl 5.16.1 rebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.450.0-2.mga3
+ Revision: 268160
- do not remove modules

* Wed Jul 04 2012 jquelin <jquelin> 1.450.0-1.mga3
+ Revision: 267336
- update to 1.45

* Tue Jun 05 2012 jquelin <jquelin> 1.430.0-1.mga3
+ Revision: 254951
- update to 1.43

* Wed May 30 2012 jquelin <jquelin> 1.390.0-2.mga3
+ Revision: 250640
- rebuild for perl 5.16

* Mon Jun 13 2011 jquelin <jquelin> 1.390.0-1.mga2
+ Revision: 105734
- update to 1.39
+ sander85 <sander85>
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.370.0-3.mga1
+ Revision: 30422
- mageia rebuild
- imported package perl-Filter

